package com.oracle.howto.activemq;

import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.InitialContext;

import javax.naming.NamingException;

import javax.rmi.PortableRemoteObject;

public class ActiveMQEJBClient {
    public static void main(String [] args) {
        try {
            final Context context = getInitialContext();
            final ActiveMQEJBHome activeMQEJBHome = 
                (ActiveMQEJBHome) PortableRemoteObject.narrow( context.lookup( "ActiveMQEJB" ), ActiveMQEJBHome.class );
            ActiveMQEJB activeMQEJB;
            activeMQEJB = activeMQEJBHome.create(  );
            
            // Call any of the Remote methods below to access the EJB
             activeMQEJB.sendMessage(  "Helloworld" );
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    private static Context getInitialContext() throws NamingException {
        Hashtable env = new Hashtable();
        //  Standalone OC4J connection details
        env.put( Context.INITIAL_CONTEXT_FACTORY, "oracle.j2ee.rmi.RMIInitialContextFactory" );
        env.put( Context.SECURITY_PRINCIPAL, "oc4jadmin" );
        env.put( Context.SECURITY_CREDENTIALS, "welcome" );
        env.put(Context.PROVIDER_URL, "ormi://localhost:23791/active-mq");
        return new InitialContext( env );
    }
}
